//
//  TestAndEmojiCell.m
//  RCDemo-custom
//
//  Created by Jue on 2020/3/4.
//  Copyright © 2020 RC. All rights reserved.
//

#import "TestAndEmojiCell.h"

@implementation TestAndEmojiCell

//以下有两种效果，由于是针对同一个表情进行设置，所以需要注释掉其中一个效果
- (void)setDataModel:(RCMessageModel *)model {
    RCTextMessage *msg = (RCTextMessage*)model.content;
//效果一，替换为 SDK 的表情
    if ([msg.content isEqualToString:@"[(D)]"]) {
        msg.content = @"👍";
    }
    
//效果二，使用佳信的表情，需要提前下载佳信表情图片，加载到工程中
//    if ([msg.content isEqualToString:@"[(D)]"]) {
//        [[RCIMClient sharedRCIMClient] setMessageExtra:model.messageId value:@"[(D)]"];
//    }
//    RCMessage *rcMsg = [[RCIMClient sharedRCIMClient] getMessage:model.messageId];
//    if ([rcMsg.extra isEqualToString:@"[(D)]"]) {
//        UIImageView *emojiView = [[UIImageView alloc] initWithImage:[UIImage imageNamed:@"nice"]];
//        emojiView.frame = CGRectMake(0, -4, 32, 32);
//        emojiView.tag = 101;
//        [self.textLabel addSubview:emojiView];
//        //为了增加气泡宽度，避免显示错误
//        msg.content = @"       ";
//    } else{
//        for (UIView *view in self.textLabel.subviews) {
//            if (view.tag == 101) {
//                [view removeFromSuperview];
//            }
//        }
//    }
    [super setDataModel:model];
}

@end
